Module jdk.compiler
Package com.sun.source.tree

## Interface PrimitiveTypeTree

All Superinterfaces:
  `Tree`

    public interface PrimitiveTypeTree
    extends Tree

A tree node for a primitive type. For example:

       primitiveTypeKind

Since:
  1.6
See The Java™ Language Specification:
  section 4.2

### Nested Class Summary

### Nested classes/interfaces declared in interface com.sun.source.tree.Tree

`Tree.Kind`

### Method Summary

All Methods Instance Methods Abstract Methods
`TypeKind` `getPrimitiveTypeKind()` Returns the kind of this primitive type.

### Methods declared in interface com.sun.source.tree.Tree

`accept, getKind`

### Method Detail

#### getPrimitiveTypeKind

    TypeKind getPrimitiveTypeKind()

Returns the kind of this primitive type.

Returns:
  the kind of the type